Wednesday, March 05, 2008

WTF?

As I was cruising through the internet, a pop up alerted me that I need to update Quicktime. I decided I better do so. Typically I never read the agreement, but tonight for some reason I did. Take note of the mention of nuclear weapons.

6 Comments:

Blogger Steno_Girl said...

Strange. I get the notification to update Quicktime also, and I don't usually read the agreement either.

Thanks for pointing that out.

10:44 AM  
Blogger Happy Mutant said...

I now have to search for a new software package to develop my nuclear warheads. Bummer

10:47 AM  
Blogger Steve! said...

You have Vista?

3:46 PM  
Blogger Happy Mutant said...

Yes. Did you also notice what version of FireFox I am using? That's right 3.0!!

3:47 PM  
Blogger Steve! said...

Screw that I lost ALL my bookmarks again with 2.X.

I am loosing faith..

3:56 PM  
Blogger Steve! said...

This comment has been removed by the author.

6:15 PM  

Post a Comment

Subscribe to Post Comments [Atom]

<< Home